/* line 4, /home/jenkins/workspace/Release-Build-Debian-Source-Package/pro/ui/app/assets/stylesheets/components/file_input.scss */
.file.input {
  height: 32px;
  position: relative;
  margin-bottom: 20px;
}
/* line 9, /home/jenkins/workspace/Release-Build-Debian-Source-Package/pro/ui/app/assets/stylesheets/components/file_input.scss */
.file.input label {
  width: 80% !important;
  padding: 6px 7px !important;
  border: 1px solid #aaa;
  -webkit-border-radius: 2px;
  -moz-border-radius: 2px;
  -ms-border-radius: 2px;
  -o-border-radius: 2px;
  border-radius: 2px;
  -webkit-box-shadow: inset 1px 1px 1px rgba(0, 0, 0, 0.2);
  -moz-box-shadow: inset 1px 1px 1px rgba(0, 0, 0, 0.2);
  box-shadow: inset 1px 1px 1px rgba(0, 0, 0, 0.2);
  display: inline-block;
}
/* line 17, /home/jenkins/workspace/Release-Build-Debian-Source-Package/pro/ui/app/assets/stylesheets/components/file_input.scss */
.file.input label p {
  margin: 0px 0px 0px 0px !important;
  font-weight: normal;
  color: #666;
  text-align: left;
  overflow: hidden;
  text-overflow: ellipsis;
}
/* line 26, /home/jenkins/workspace/Release-Build-Debian-Source-Package/pro/ui/app/assets/stylesheets/components/file_input.scss */
.file.input label span {
  right: 0;
  width: 80px;
  font-size: 100%;
  position: absolute;
  top: 0;
  bottom: 0;
  padding: 0 5px;
  line-height: 31px;
  text-align: center;
  background: #eee;
  border: 1px solid #aaa;
  -moz-border-radius-topleft: 0px;
  -webkit-border-top-left-radius: 0px;
  border-top-left-radius: 0px;
  -moz-border-radius-bottomleft: 0px;
  -webkit-border-bottom-left-radius: 0px;
  border-bottom-left-radius: 0px;
  -moz-border-radius-topright: 2px;
  -webkit-border-top-right-radius: 2px;
  border-top-right-radius: 2px;
  -moz-border-radius-bottomright: 2px;
  -webkit-border-bottom-right-radius: 2px;
  border-bottom-right-radius: 2px;
}
/* line 46, /home/jenkins/workspace/Release-Build-Debian-Source-Package/pro/ui/app/assets/stylesheets/components/file_input.scss */
.file.input input {
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  width: 100% !important;
  z-index: 55;
  cursor: pointer;
  opacity: 0;
}
